> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudblast.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List SSH Keys

> Returns all SSH keys associated with your account.



## OpenAPI

````yaml GET /ssh-keys
openapi: 3.0.3
info:
  title: CloudBlast API
  description: >-
    The CloudBlast V2 API provides a modern RESTful interface for managing your
    cloud infrastructure programmatically. All responses follow a consistent `{
    "data": ... }` or `{ "error": ... }` format.
  version: 2.0.0
servers:
  - url: https://console.cloudblast.io/api/v2
    description: Production
security:
  - bearerAuth: []
paths:
  /ssh-keys:
    get:
      tags:
        - SSH Keys
      summary: List SSH keys
      description: Returns all SSH keys associated with your account.
      operationId: listSSHKeys
      responses:
        '200':
          description: SSH key list
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SSHKey'
        '401':
          $ref: '#/components/responses/Unauthenticated'
components:
  schemas:
    SSHKey:
      type: object
      properties:
        id:
          type: integer
          example: 1
        name:
          type: string
          example: My Laptop
        fingerprint:
          type: string
          nullable: true
          example: a1:b2:c3:d4:e5:f6:a1:b2:c3:d4:e5:f6:a1:b2:c3:d4
        public_key:
          type: string
          example: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAA...
        created_at:
          type: string
          format: date-time
          example: '2026-01-10T14:00:00+00:00'
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: Machine-readable error code
            message:
              type: string
              description: Human-readable error message
          required:
            - code
            - message
  responses:
    Unauthenticated:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: UNAUTHENTICATED
              message: >-
                Missing or invalid Authorization header. Use: Authorization:
                Bearer <token>
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API token from your CloudBlast account settings. Pass as `Authorization:
        Bearer <token>`.

````